cgGetNamedPass(3)

NAME
cgGetNamedPass - get a technique pass by name

SYNOPSIS
  #include <Cg/cg.h>
  CGpass cgGetNamedPass( CGtechnique tech,
                         const char * name );

PARAMETERS

tech
    The technique from which to retrieve the pass.

name
    The name of the pass to retrieve.

RETURN VALUES
Returns the named pass from the technique.

Returns NULL if the technique has no pass corresponding to name.

DESCRIPTION
The passes of a technique can be retrieved directly by name using cgGetNamedPass. The names of the passes in a technique can be discovered by iterating through the technique's passes (see the cgGetFirstPass manpage and the cgGetNextPass manpage), calling the cgGetPassName manpage for each one in turn.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgGetNamedPass was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstPass manpage, the cgGetNextPass manpage, the cgGetPassName manpage